Chart (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer.mail

## Class Chart

- java.lang.Object
- - org.gcube.messaging.common.consumer.mail.Chart

-     public class Chart
      extends Object

  Author:
    Andrea Manzi(CERN)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chart()` The cosntructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addData(Double data)` add data
    `String` | `getChartHTMLTag()` get the google chart URL
    `String` | `getChartString()` get the CHART URL as string
    `String` | `getDescription()` get the description
    `String` | `getLabel()` get the label
    `String` | `getSize()` get the size
    `String` | `getType()` get the type
    `URL` | `getUrl()` ger the URL
    `void` | `setDescription(String description)` set the description
    `void` | `setLabel(String label)` set the label
    `void` | `setSize(String size)` set the size
    `void` | `setType(String type)` set the type
    `void` | `setUrl(URL url)` Set the URL

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Chart

          public Chart()

      The cosntructor

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      get the description
      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      set the description
      Parameters:
        `description` - the description

    - #### getUrl

          public URL getUrl()

      ger the URL
      Returns:
        the URL

    - #### setUrl

          public void setUrl(URL url)

      Set the URL
      Parameters:
        `url` - the URL

    - #### getSize

          public String getSize()

      get the size
      Returns:
        the size

    - #### setSize

          public void setSize(String size)

      set the size
      Parameters:
        `size` - the size

    - #### getType

          public String getType()

      get the type
      Returns:
        the type

    - #### setType

          public void setType(String type)

      set the type
      Parameters:
        `type` - the type

    - #### addData

          public void addData(Double data)

      add data
      Parameters:
        `data` - the data

    - #### getLabel

          public String getLabel()

      get the label
      Returns:
        the lable

    - #### setLabel

          public void setLabel(String label)

      set the label
      Parameters:
        `label` -

    - #### getChartString

          public String getChartString()

      get the CHART URL as string
      Returns:
        the chart URL as string

    - #### getChartHTMLTag

          public String getChartHTMLTag()

      get the google chart URL
      Returns:
        the google chart URL

Copyright © 2014. All Rights Reserved.